# to tell which distribution among Fedora and CentOS
%if %{defined fedora}
    %define RELEASENUM %fedora
    %define RELEASE Fedora
%endif
%if %{defined centos}
    %define RELEASENUM %centos
    %define RELEASE CentOS
%endif

Summary:	DoReMi Repository Configuration
Summary(zh_CN): DoReMi 仓库配置文件
Group:		System Environment/Base
Name:		doremi-release
Version:	%{RELEASENUM}
Release: 	2
License:	GPL
URL:		http://fedorapeople.org/~easior/fedora
Source0:	doremi-Fedora.repo
Source1:        doremi-CentOS.repo
Source2:	RPM-GPG-KEY-doremi
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	system-release >= %{version}

%description
DoReMi repository is an unofficial YUM repository. It contains some 
favorite packages of mine. You could freely install them at your own risk.

%description -l zh_CN
DoReMi 仓库是一个非官方 YUM 仓库。它包含了一些本人偏好的软件包。您可以自由
使用他们。目前，DoReMi 仓库配置文件，不仅适用于 Fedora，也适用于 CentOS，无
需任何修改。另外，DoReMi 仓库配置文件会自动根据系统版本生成。

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
%{__rm} -rf $RPM_BUILD_ROOT

# Create dirs
%{__install} -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key
%{__install} -Dp -m644 \
    %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-doremi-%{RELEASE}-%{RELEASENUM}-primary


# Avoid using basearch in name for the key. Introduced in F19
%{__ln_s} $(basename %{SOURCE2})-%{RELEASE}-%{RELEASENUM}-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-doremi-%{RELEASE}-%{RELEASENUM}

# Yum .repo files
%if %{defined fedora}
    %{__install} -p -m644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/doremi-release.repo
%endif
%if %{defined centos}
    %{__install} -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/doremi-release.repo
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Sat Sep 21 2013 Easior Lars <easior@fedoraproject.org>
- doremi-release spec is now independent of Red Hat distribution.

* Sun Jan 20 2013 Easior Lars <easior@fedoraproject.org> - 20-1
- Initial build.

